function [Tstart, Tend, behaviors] = inputtext(FileName, nStream)
%used to combine behaviors for simple analysis
%mergetext('F:\Dayu\Recording\Behavior annotations\Dayu Videos\Dayu\031309_A29_Block1_C57fe1_s_Dayu_071609.txt', ['thrust', 'mount'], 'mount')

fid = fopen(FileName);
C=textscan(fid, '%s %s %s');
fclose(fid);
Tstart = str2double(C{1}(strmatch(num2str(1), C{1}, 'exact'):end));
Tend = str2double(C{2}(strmatch(num2str(1), C{1}, 'exact'):end));
behaviors = C{3}(strmatch(num2str(1), C{1}, 'exact'):end);

if nargin ==1;
    nStream =1;
end
id = find(isnan(Tstart));
if nStream ==1
    if ~isempty(id)
        Tstart = Tstart(1:id(1)); Tend = Tend(1:id(1)); behaviors = behaviors(1:id(1));
    end
end
if nStream ==2
    if ~isempty(id)
        Tstart = Tstart(id(end)+1:end-1); Tend = Tend(id(end)+1:end-1); behaviors = behaviors(id(end)+1:end-1);
    end
end

