%% Generate attack probability plot in Figure 1e, 1g, 1i,  and caculate attack probability and attack latency
clear;clc;close all;
A_stim_path={'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-1\stimulation file\0.5_pup_top_light.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-2\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-3\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-4\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-5\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-6\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-7\stimulation file\pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-8\stimulation file\pup_0.5_top.txt'};
%change path the related stimulation file

B_anno_path={'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-1\behavior annotation file\annotation_0.5_pup_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-2\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-3\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-4\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02797523-5\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-6\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-7\behavior annotation file\annotation_pup_0.5_top.txt'
'Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2d-2l BNSTpr-Esr1-ChR2 or GFP\GFP\C02781120-8\behavior annotation file\annotation_pup_0.5_top.txt'};
%change path to the related behavior annatation file

%% Generate attack probability plot in Figure 1e, 1g, 1i,
for k = 1: length(A_stim_path)

stim_path = A_stim_path{k};
anno_path = B_anno_path{k};

[Fstart, Fstop, behaviors] = inputtext(anno_path);
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

[Fstart_stim, Fstop_stim, behaviors_stim] = inputtext(stim_path);
intro_id_stim = find(Fstart_stim<SFstart(1),1,'last');
rmv_id_stim = find(Fstop_stim>SFstop(end),1,'first');
SFstart_stim = Fstart_stim(intro_id_stim:rmv_id_stim); % SFstart_stim(1) = SFstart(1);
SFstop_stim = Fstop_stim(intro_id_stim:rmv_id_stim); % SFstop_stim(end) = SFstop(end);
Sbehaviors_stim = behaviors_stim(intro_id_stim:rmv_id_stim);

 M=zeros([Fstop(end)+40*25,1]);
 
 Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for n = 1 : length ( Attackid)

for  i = SFstart (Attackid(n)):1:SFstop (Attackid(n))
    
 M(i)=1;
end
end

%% Generate the PSTH plot

intro_id = strfind_part(behaviors, {'start'});
removal_id = strfind_part(behaviors, {'stop'});
BEF = 25*20; AFT =25*40; 
behavior = ('Light');
id = strfind_part(Sbehaviors_stim, {behavior});

if isempty(id)
    PSTH(k).filter = nan;
end

Fstart_Light = SFstart_stim(id);
Fstop_Light = SFstop_stim(id);

for m =1:length(id)
    if ~isnan(id(m))
        for n = Fstart_Light(m)-BEF:Fstart_Light(m)+AFT
            if n < 1
                PSTH(k).filter(m, n-(Fstart_Light(m)-BEF)+1) = 0;
            else
            PSTH(k).filter(m, n-(Fstart_Light(m)-BEF)+1) = M(floor(n));
        end
        end
    end

end

PSTHmean(k,:) = mean(PSTH(k).filter);


sham_behavior = ('Sham-light');
id = strfind_part(Sbehaviors_stim, {sham_behavior});

if isempty(id)
    PSTH_sham(k).filter = nan;
end

Fstart_Sham_light = SFstart_stim(id);
Fstop_Sham_light = SFstop_stim(id);

for m =1:length(id)
    if ~isnan(id(m))
        for n = Fstart_Sham_light(m)-BEF:Fstart_Sham_light(m)+AFT
            if n < 1
                PSTH_sham(k).filter(m, n-(Fstart_Sham_light(m)-BEF)+1) = 0;
            else
            PSTH_sham(k).filter(m, n-(Fstart_Sham_light(m)-BEF)+1) = M(floor(n));
        end
        end
    end

end

PSTH_sham_mean(k,:) = mean(PSTH_sham(k).filter);
end

figure; hold on;
plotwerror(-BEF/25:1/25:AFT/25,PSTH_sham_mean, 'k');
plotwerror(-BEF/25:1/25:AFT/25,PSTHmean, 'b');
xlim([-20,40]);
ylim([-0.05 1]);
hold on; xline(0, '--k');xline(20, '--r');hold off;
ylabel('Attack probability');xlabel('Time (sec)');

%% caculate attack probability and attack latency
for k = 1: length(A_stim_path)

stim_path = A_stim_path{k};
anno_path = B_anno_path{k};

[Fstart, Fstop, behaviors] = inputtext(anno_path);
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

[Fstart_stim, Fstop_stim, behaviors_stim] = inputtext(stim_path);
intro_id_stim = find(Fstart_stim<SFstart(1),1,'last');
rmv_id_stim = find(Fstop_stim>SFstop(end),1,'first');
SFstart_stim = Fstart_stim(intro_id_stim:rmv_id_stim); % SFstart_stim(1) = SFstart(1);
SFstop_stim = Fstop_stim(intro_id_stim:rmv_id_stim); % SFstop_stim(end) = SFstop(end);
Sbehaviors_stim = behaviors_stim(intro_id_stim:rmv_id_stim);

 M=zeros([Fstop(end)+40*25,1]);
 
 Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for n = 1 : length ( Attackid)

for  i = SFstart (Attackid(n)):1:SFstop (Attackid(n))
    
 M(i)=1;
end
end

intro_id = strfind_part(behaviors, {'start'});
removal_id = strfind_part(behaviors, {'stop'});
BEF = 25*20; AFT =25*40; 
behavior = ('Light');
id = strfind_part(Sbehaviors_stim, {behavior});

if isempty(id)
    PSTH(k).filter = nan;
end

Fstart_Light = SFstart_stim(id);
Fstop_Light = SFstop_stim(id);

for m =1:length(id)
    if ~isnan(id(m))
        for n = Fstart_Light(m)-BEF:Fstart_Light(m)+AFT
            if n < 1
                PSTH(k).filter(m, n-(Fstart_Light(m)-BEF)+1) = 0;
            else
            PSTH(k).filter(m, n-(Fstart_Light(m)-BEF)+1) = M(floor(n));
        end
        end
    end

end

%calculate stimulation attack probability
stim_attack_trail_number(1,k) = 0;
for i = 1: length (PSTH(k).filter(:,1))
    if ~isnan(id(m))
        if sum(PSTH(k).filter(i,500:1001))>0
            stim_attack_trail_number(1,k) = stim_attack_trail_number(1,k) +1;
        end
    end
end

stim_attack_probability (1,k) = stim_attack_trail_number(1,k) / length (PSTH(k).filter(:,1));


% calculate stimulation attack latency
 each_attack_latency(k,:) = nan;
for i = 1: length (PSTH(k).filter(:,1))
    each_latency = find((PSTH(k).filter(i,BEF:BEF+20*25))>0, 1, 'first');
    if length (each_latency) <1
         each_attack_latency(k,i) = nan;
    else
       each_attack_latency(k,i) = find((PSTH(k).filter(i,BEF:BEF+20*25))>0, 1, 'first')/25;
    end
end
stim_attack_latency(1,k) = mean(each_attack_latency(k,:),'omitnan');



sham_behavior = ('Sham-light');
id = strfind_part(Sbehaviors_stim, {sham_behavior});

if isempty(id)
    PSTH_sham(k).filter = nan;
end

Fstart_Sham_light = SFstart_stim(id);
Fstop_Sham_light = SFstop_stim(id);

for m =1:length(id)
    if ~isnan(id(m))
        for n = Fstart_Sham_light(m)-BEF:Fstart_Sham_light(m)+AFT
            if n < 1
                PSTH_sham(k).filter(m, n-(Fstart_Sham_light(m)-BEF)+1) = 0;
            else
            PSTH_sham(k).filter(m, n-(Fstart_Sham_light(m)-BEF)+1) = M(floor(n));
        end
        end
    end

end

%calculate sham attack probability
Sham_attack_trail_number(1,k) = 0;
for i = 1: length (PSTH_sham(k).filter(:,1))
    if ~isnan(id(m))
        if sum(PSTH_sham(k).filter(i,500:1001))>0
           Sham_attack_trail_number(1,k) = Sham_attack_trail_number(1,k) +1;
        end
    end
end

Sham_attack_probability (1,k) = Sham_attack_trail_number(1,k) / length (PSTH_sham(k).filter(:,1));

%calculate sham attack latency
 sham_each_attack_latency(k,:) = nan;
for i = 1: length (PSTH_sham(k).filter(:,1))
    each_sham_latency = find((PSTH_sham(k).filter(i,BEF:BEF+20*25))>0, 1, 'first');
    if length (each_sham_latency) <1
       sham_each_attack_latency(k,i) = nan;
    else
       sham_each_attack_latency(k,i) = find ((PSTH_sham(k).filter(i,BEF:BEF+20*25))>0, 1, 'first')/25;
    end
end
sham_stim_attack_latency(1,k) = mean(sham_each_attack_latency(k,:),'omitnan');

end

% save ('ChR2_attack pup probability and latency to attack pup.mat','stim_attack_probability','Sham_attack_probability','stim_attack_latency','sham_stim_attack_latency');

stim_attack_probability

Sham_attack_probability

stim_attack_latency

sham_stim_attack_latency