%%
%plot mCherry_saline
clc;clear;close all;
[Fstart, Fstop, behaviors] = inputtext('Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2p-2s BNSTpr-Esr1-Gi or mCherry\mCherry\C02840581_annotation_saline_pup_top.txt');
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

figure; hold on;

Retrieveid = strfind_part(Sbehaviors, {'Retrieve-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [(SFstart(Retrieveid(i))-Fstop(intro_id))/25 0 (SFstop(Retrieveid(i))-SFstart(Retrieveid(i)))/25 0.2], 'FaceColor', 'b', 'EdgeColor', 'none')
    
end

Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for i = 1:length(Attackid)
    rectangle('Position', [(SFstart(Attackid(i))-Fstop(intro_id))/25 0 (SFstop(Attackid(i))-SFstart(Attackid(i)))/25 0.2], 'FaceColor', 'r', 'EdgeColor', 'none')
    
end

Sniffid = strfind_part(Sbehaviors, {'Investigate-pup'});
for i = 1:length(Sniffid)
    rectangle('Position', [(SFstart(Sniffid(i))-Fstop(intro_id))/25 0 (SFstop(Sniffid(i))-SFstart(Sniffid(i)))/25 0.2], 'FaceColor', 'y', 'EdgeColor', 'none')

end

set(gca,'ytick',[]);
set(gca,'xtick',[]);
box on;

ylabel('');xlabel('');
xlim([0 600]);
hold off;
saveas (gcf,'mCherry_saline','fig');

%%
%plot mCherry_CNO
clc;clear;close all;
[Fstart, Fstop, behaviors] = inputtext('Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2p-2s BNSTpr-Esr1-Gi or mCherry\mCherry\C02840581_annotation_CNO_pup_top.txt');
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

figure; hold on;

Retrieveid = strfind_part(Sbehaviors, {'Retrieve-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [(SFstart(Retrieveid(i))-Fstop(intro_id))/25 0 (SFstop(Retrieveid(i))-SFstart(Retrieveid(i)))/25 0.2], 'FaceColor', 'b', 'EdgeColor', 'none')
    
end

Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for i = 1:length(Attackid)
    rectangle('Position', [(SFstart(Attackid(i))-Fstop(intro_id))/25 0 (SFstop(Attackid(i))-SFstart(Attackid(i)))/25 0.2], 'FaceColor', 'r', 'EdgeColor', 'none')
    
end

Sniffid = strfind_part(Sbehaviors, {'Investigate-pup'});
for i = 1:length(Sniffid)
    rectangle('Position', [(SFstart(Sniffid(i))-Fstop(intro_id))/25 0 (SFstop(Sniffid(i))-SFstart(Sniffid(i)))/25 0.2], 'FaceColor', 'y', 'EdgeColor', 'none')

end

set(gca,'ytick',[]);
set(gca,'xtick',[]);
box on;

ylabel('');xlabel('');
xlim([0 600]);
hold off;
saveas (gcf,'mCherry_CNO','fig');

%%
%plot hM3Dq_saline
clc;clear;close all;
[Fstart, Fstop, behaviors] = inputtext('Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2p-2s BNSTpr-Esr1-Gi or mCherry\Gi\C02840841_annotation_saline_pup.txt');
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

figure; hold on;

Retrieveid = strfind_part(Sbehaviors, {'Retrieve-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [(SFstart(Retrieveid(i))-Fstop(intro_id))/25 0 (SFstop(Retrieveid(i))-SFstart(Retrieveid(i)))/25 0.2], 'FaceColor', 'b', 'EdgeColor', 'none')
    
end

Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for i = 1:length(Attackid)
    rectangle('Position', [(SFstart(Attackid(i))-Fstop(intro_id))/25 0 (SFstop(Attackid(i))-SFstart(Attackid(i)))/25 0.2], 'FaceColor', 'r', 'EdgeColor', 'none')
    
end

Sniffid = strfind_part(Sbehaviors, {'Investigate-pup'});
for i = 1:length(Sniffid)
    rectangle('Position', [(SFstart(Sniffid(i))-Fstop(intro_id))/25 0 (SFstop(Sniffid(i))-SFstart(Sniffid(i)))/25 0.2], 'FaceColor', 'y', 'EdgeColor', 'none')

end

set(gca,'ytick',[]);
set(gca,'xtick',[]);
box on;

ylabel('');xlabel('');
xlim([0 600]);
hold off;
saveas (gcf,'hM4Di_saline','fig');

%%
%plot hM3Dq_CNO
clc;clear;close all;
[Fstart, Fstop, behaviors] = inputtext('Z:\linlabspace\Paper Raw Data\2023_Nature_Mei\Figure 2\2p-2s BNSTpr-Esr1-Gi or mCherry\Gi\C02840841_annotation_CNO_pup.txt');
intro_id = strfind_part(behaviors, {'start'});
rmv_id = strfind_part(behaviors, {'stop'});
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

figure; hold on;

Retrieveid = strfind_part(Sbehaviors, {'Retrieve-pup'});
for i = 1:length(Retrieveid)
    rectangle('Position', [(SFstart(Retrieveid(i))-Fstop(intro_id))/25 0 (SFstop(Retrieveid(i))-SFstart(Retrieveid(i)))/25 0.2], 'FaceColor', 'b', 'EdgeColor', 'none')
    
end

Attackid = strfind_part(Sbehaviors, {'Attack-pup'});
for i = 1:length(Attackid)
    rectangle('Position', [(SFstart(Attackid(i))-Fstop(intro_id))/25 0 (SFstop(Attackid(i))-SFstart(Attackid(i)))/25 0.2], 'FaceColor', 'r', 'EdgeColor', 'none')
    
end

Sniffid = strfind_part(Sbehaviors, {'Investigate-pup'});
for i = 1:length(Sniffid)
    rectangle('Position', [(SFstart(Sniffid(i))-Fstop(intro_id))/25 0 (SFstop(Sniffid(i))-SFstart(Sniffid(i)))/25 0.2], 'FaceColor', 'y', 'EdgeColor', 'none')

end

set(gca,'ytick',[]);
set(gca,'xtick',[]);
box on;

ylabel('');xlabel('');
xlim([0 600]);
hold off;
saveas (gcf,'hM4Di_CNO','fig');